Subject: Re: bug#46092: 27.1; syntax highlight in the eval-expression prompt

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 27 Jan 2021 03:24:20 +0100

reporter <[email-masked]> writes:

> I use eval-expression a lot for writing and executing smaller snippets, often
> spanning several lines.
>
> Since it is for evaluating elisp snippets, it should have elisp syntax
> highlighting for better readability (highlighted strings, for example)
> .

That's true -- it's odd that `eval-expression' doesn't use font
locking.  Is there a reason for this, or has nobody just never thought
of it before?

I briefly tried switching it on (by just setting `font-lock-defaults' to
something Elispish), but that didn't work, so does the minibuffer have
something special going on that prohibits font locking?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no